package com.platform.yijia.pojo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 客户端电子会员卡充值优惠设置明细
 */
@Data
public class CustomerCardSettingDetail {
    private Integer cardSettingDetailId;    //规则明细ID
    private Integer parentId;       //所对应电子会员卡ID
    private String settingRuleType;     //设置充值优惠类型：1，按赠送金额；2，按赠送比例
    private BigDecimal discountAmtTerm;     //优惠条件金额
    private BigDecimal presentAmt;          //赠送金额值或者赠送c充值金额的比例
    private Date  createTime;           //创建时间
}
